Package Gnumed :: Package timelinelib :: Package canvas :: Package data :: Module base :: Class ItemBase |
[frames] | no frames]

# Class ItemBase

source code

    object --+
             |
            ItemBase

Instance Methods
__init__(self, db, id_, immutable_value) x.__init__(...) initializes x; see help(type(x)) for signature | source code
duplicate(self, target_db=None) | source code
db(self, value) | source code
id(self, value) | source code
get_id(self) | source code
has_id(self) | source code
set_id(self, id_) | source code
ensure_id(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, db, id_, immutable_value) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

### db(self, value) | source code
Decorators: `@db.setter`

### id(self, value) | source code
Decorators: `@id.setter`